#
# spec file for package cni-plugin-dnsname
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           cni-plugin-dnsname
Version:        1.3.1
Release:        150400.1.2
Summary:        CNI plugin to provide name resolution for containers
License:        Apache-2.0
URL:            https://github.com/containers/dnsname
Source:         dnsname-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:  golang(API) >= 1.13
Requires:       cni
Requires:       dnsmasq

%description
This CNI plugin sets up the use of dnsmasq on a given CNI network so that Pods
can resolve each other by name. When configured, the pod and its IP address are
added to a network specific hosts file that dnsmasq reads in. Similarly, when a
pod is removed from the network, it will remove the entry from the hosts file.
Each CNI network will have its own dnsmasq instance.

The dnsname plugin was specifically designed for the Podman container engine.

%prep
%setup -q -n dnsname-%{version}

%build
%make_build GO_BUILD="GO111MODULE=on go build -mod=vendor -buildmode=pie" binaries

%install
LIBEXECDIR=%{_libexecdir}/cni %make_install

%files
%license LICENSE
%doc README.md README_PODMAN.md RELEASE_NOTES.md
%dir %{_libexecdir}/cni
%{_libexecdir}/cni/dnsname

%changelog
* Fri Mar 25 2022 idesmi@protonmail.com
- Update to version 1.3.1:
  * Don't use LDFLAGS: made `dnsname` unable to build in some
    packaging systems (not ours).
* Fri Nov 19 2021 ralf@h4kamp.de
- Update to version 1.3.0:
  * Bump to v1.3.0
  * Output version information when called directly
  * Do not error on del command
  * Cirrus: Remove unused $DEST_BRANCH definition
  * Cleanup dangling config files
  * Update F34beta -> F34 and U2010 -> U2104
  * Cirrus: Add modern get_ci_vm support
  * Cirrus: Update to F34beta VM image
  * Bump to v1.2.0
  * return dnsmasq errors
  * Update podman readme
  * Add dns search domain to cni result
  * Add AppArmor instruction in the Podman readme
  * fix typo in README_PODMAN
  * Added missing comma in README_PODMAN.md
  * Cirrus: Update to F33 and U2010
  * Improve documentation of use with Podman
  * bump go-iptables version
- Fix build on SLE and Leap
* Fri Jan  8 2021 rbrown@suse.com
- Update to version 1.1.1:
  * Bump to v1.1.1
  * use tabs not spaces
  * Bump to v1.1
  * pass aliases to dns masq
  * Cirrus: Use images from automation_images
  * correct fedora package name in documentation
  * clarify where to report issues
  * change references from libpod to podman
* Wed Oct  7 2020 rhafer@suse.com
- remove empty scriptlets
- Adjust build flags to create PIE binary
* Tue Sep 29 2020 rhafer@suse.com
- Initial release v1.0.0
